from django.conf import settings
from django.conf.urls.defaults import patterns, include, url
from django.views.generic import DetailView, ListView

from .models import Transaction
from .views import TransactionTableView

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    url(r'^$', TransactionTableView.as_view(
            queryset=Transaction.objects.all(),
            context_object_name='table',
            template_name='table.html'),
        name='transactions'),
    url(r'^transaction/(?P<pk>\d+)/$', DetailView.as_view(
            model=Transaction,
            template_name='transaction.html'),
        name='transaction'),
    url(r'^person/(?P<pk>\d+)/$', 'insider.views.person', name='person'),
    url(r'^ticker/(?P<pk>\d+)/$', 'insider.views.ticker', name='ticker'),
    url(r'^company/(?P<pk>\d+)/$', 'insider.views.company', name='company'),
    url(r'^date/(?P<year>\d+)/(?P<month>\d+)/(?P<day>\d+)/$',
        'insider.views.date', name='date'),

    # Uncomment the admin/doc line below to enable admin documentation:
    # url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    url(r'^admin/', include(admin.site.urls), name='admin'),

    url(r'^favicon\.ico$', 'django.views.generic.simple.redirect_to',
        kwargs={'url': settings.STATIC_URL + 'insider.ico'}),
)
